Docs
Get Setup Intent
GET /payment-methods/setup-intents/{setupIntentId}
GET
/payment-methods/setup-intents/{setupIntentId}Returns the status of a setup intent started with PaymentMethods_CreateSetupIntent: the resulting payment method id, any next action such as bank microdeposit verification, and the last error. Only intents belonging to this organization are found. Requires OrganizationAdmin.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| setupIntentId | string | Required |
Response
| Field | Type | Description |
|---|---|---|
| status | string| null | |
| paymentMethodId | string| null | |
| nextAction | GetSetupIntentResponseNextActionInfo | |
| lastError | GetSetupIntentResponseLastErrorInfo |
GetSetupIntentResponseNextActionInfo
| Field | Type | Description |
|---|---|---|
| type | string| null | |
| microdepositType | string| null | |
| hostedVerificationUrl | string| null | |
| arrivalDate | date-time| null |
GetSetupIntentResponseLastErrorInfo
| Field | Type | Description |
|---|---|---|
| code | string| null | |
| declineCode | string| null | |
| message | string| null |